#version 330

// Input vertex attributes (from vertex shader)
in vec2 fragTexCoord;
in vec4 fragColor;

// Input uniform values
uniform sampler2D texture0;
uniform vec4 colDiffuse;

// Output fragment color
out vec4 finalColor;

uniform float offset_x;
uniform float offset_y;

void main() {
	vec2 p = fragTexCoord;

        vec4 check = texture(texture0, p);
        if(check.a < 0.5) { discard; }

	p.x += offset_x;
	p.y += offset_y;
        vec4 recheck = texture(texture0, p);

        finalColor = vec4(recheck.r, recheck.g, recheck.b, 1.0) * colDiffuse * fragColor;

	//finalColor = texture(texture0, p) * colDiffuse * fragColor;
}
